Bug 245359 - www/py-django-photologue: Update to 3.11
Summary: www/py-django-photologue: Update to 3.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/richardbarran/djan...
Keywords:
Depends on:
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-04-04 20:59 UTC by Kai Knoblich
Modified: 2020-04-07 10:31 UTC (History)
1 user (show)

See Also:
ports: maintainer-feedback+


Attachments
py-django-photologue-3.11-and-py-django-sortedm2m-3.0.0.patch (4.68 KB, patch)
2020-04-04 20:59 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-04-04 20:59:49 UTC
Created attachment 213073 [details]
py-django-photologue-3.11-and-py-django-sortedm2m-3.0.0.patch

Hi,

attached is the patch that updates www/py-django-photologue to 3.11 and assigns it to Django 2.2 (current LTS release) as Django 1.11 is End-of-Life since April 2020.

The patch also updates www/py-django-sortedm2m to 3.0.0 because it's required for the 3.11 release of www/py-django-photologue.

Changes to the www/py-django-photologue port:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
- Sort variables according to the Porter's Handbook by placing NO_ARCH below the USES block
- Remove the now obsolete patch for setup.py.

Changes to the www/py-django-sortedm2m port:
- Sort variables according to the Porter's Handbook by placing NO_ARCH below the USES block
- Switch to GitHub for a while as PyPI offers no sdist at the moment.


QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py35, py36, py37 and py38 flavor) -> OK
- portlint -> OK
Comment 1 Kevin Golding 2020-04-06 12:14:27 UTC
I'm happy, although as jazzband say py3.6 is the minimum for the latest release for www/py-django-sortedm2m I'd prefer it to use:

USES=		python:3.6+

If easier, commit as is and I can submit an update later.
Comment 2 Kai Knoblich freebsd_committer 2020-04-07 07:19:17 UTC
Comment on attachment 213073 [details]
py-django-photologue-3.11-and-py-django-sortedm2m-3.0.0.patch

^ Triage: Maintainer approval was given in comment #1, setting flag accordingly.
Comment 3 Kai Knoblich freebsd_committer 2020-04-07 07:20:12 UTC
(In reply to Kevin Golding from comment #1)

Thank you for the pointer! It's no problem and I already changed that line in my local repository.
Comment 4 commit-hook freebsd_committer 2020-04-07 10:20:04 UTC
A commit references this bug:

Author: kai
Date: Tue Apr  7 10:19:41 UTC 2020
New revision: 530962
URL: https://svnweb.freebsd.org/changeset/ports/530962

Log:
  www/py-django-{photologue,sortedm2m}: Update to 3.11 and 3.0.0

  * Update both ports at once because www/py-django-photologue requires
    www/py-django-sortedm2m in version 3.0.0 or later.  Also assign them to
    Django 2.2 (current LTS release) as Django 1.11 is End-of-Life.

  * www/py-django-photologue: Remove an obsolete patch that was required to
    fix build isses with newer versions of devel/py-pip .

  * www/py-django-sortedm2m: Switch to GitHub for a while as no sdist is
    available at PyPI.

  * Sort variables a bit according to the PHB.

  Changelogs:

  https://github.com/richardbarran/django-photologue/blob/3.11/CHANGELOG.txt
  https://github.com/jazzband/django-sortedm2m/blob/3.0.0/CHANGES.rst

  PR:		245359
  Approved by:	Kevin Golding <ports@caomhin.org> (maintainer)

Changes:
  head/www/py-django-photologue/Makefile
  head/www/py-django-photologue/distinfo
  head/www/py-django-photologue/files/
  head/www/py-django-sortedm2m/Makefile
  head/www/py-django-sortedm2m/distinfo
Comment 5 Kai Knoblich freebsd_committer 2020-04-07 10:31:14 UTC
(In reply to Kevin Golding from comment #1)

Committed, thank you for your review and approval! I did a minor change to www/py-django-photologue by setting there also "USES=python3.6+".

This is to avoid breakage during calculation of the dependency chains when building all Python flavors (by setting "BUILD_ALL_PYTHON_FLAVORS=yes" in make.conf).